Hooks:PostHook( WeaponTweakData, "init", "soppo_is_toppo", function(self)
	self.soppo_crew = self.soppo_crew  or deep_clone(self.m4_crew)

self:SetupAttachmentPoint( "soppo", {
		name = "a_gl",
		base_a_obj = "a_fl",
		position = Vector3( -2.6, 6.45, -2.4 ),
		rotation = RotationCAP( 0, 0, 0 )
	})
self:SetupAttachmentPoint( "soppo", {
		name = "a_s",
		base_a_obj = "a_s",
		position = Vector3( 0, 0.78, 0 ),
		rotation = RotationCAP( 0, 0, 0 )
	})
self:SetupAttachmentPoint( "soppo", {
		name = "a_body",
		base_a_obj = "a_body",
		position = Vector3( 0, -1.55, 0 ),
		rotation = RotationCAP( 0, 0, 0 )
	})
self:SetupAttachmentPoint( "soppo", {
		name = "a_b",
		base_a_obj = "a_b",
		position = Vector3( 0, -1.55, 0 ),
		rotation = RotationCAP( 0, 0, 0 )
	})
self:SetupAttachmentPoint( "soppo", {
		name = "a_fg",
		base_a_obj = "a_fg",
		position = Vector3( 0, -1.55, 0 ),
		rotation = RotationCAP( 0, 0, 0 )
	})
self:SetupAttachmentPoint( "soppo", {
		name = "a_g",
		base_a_obj = "a_g",
		position = Vector3( 0, 0.08, 0.21 ),
		rotation = RotationCAP( 0, 0, 0 )
	})
self:SetupAttachmentPoint( "soppo", {
		name = "a_o",
		base_a_obj = "a_o",
		position = Vector3( 0, -1.55, -0.71 ),
		rotation = RotationCAP( 0, 0, 0 )
	})
self:SetupAttachmentPoint( "soppo", {
		name = "a_fl",
		base_a_obj = "a_fl",
		position = Vector3( 0.1, -3.5, 0 ),
		rotation = RotationCAP( 0, 0, 0 )
	})
self:SetupAttachmentPoint( "soppo", {
		name = "a_gb",
		base_a_obj = "a_b",
		position = Vector3( 0, 11.4, 0 ),
		rotation = RotationCAP( 0, 0, 0 )
	})
self:SetupAttachmentPoint( "soppo", {
		name = "a_m",
		base_a_obj = "a_m",
		position = Vector3( 0, -2.12, 4.03 ),
		rotation = RotationCAP( 0, 0, 0 )
	})
self:SetupAttachmentPoint( "soppo", {
		name = "a_dh",
		base_a_obj = "a_dh",
		position = Vector3( 0, 0.97, 0.17 ),
		rotation = RotationCAP( 0, 0, 0 )
	})
self:SetupAttachmentPoint( "soppo", {
		name = "a_bolt",
		base_a_obj = "a_bolt",
		position = Vector3( 0.72, -4.65, 0.68 ),
		rotation = RotationCAP( 0, 0, 0 )
	})

self:SetupAttachmentPoint( "soppo", {
		name = "a_fl_left",
		base_a_obj = "a_fl",
		position = Vector3( -5.3, -3.5, 0 ),
		rotation = RotationCAP( 0, 0, 180 )
	})
self:SetupAttachmentPoint( "soppo", {
		name = "a_fl_top",
		base_a_obj = "a_fl",
		position = Vector3( -2.59, -3.5, 2.71 ),
		rotation = RotationCAP( 0, 0, -90 )
	})
self:SetupAttachmentPoint( "soppo", {
		name = "a_fl_gb",
		base_a_obj = "a_fl",
		position = Vector3( -2.59, 15.07, 1.9 ),
		rotation = RotationCAP( 0, 0, -90 )
	})
	
self:SetupAttachmentPoint( "soppo", {
		name = "a_gb_fs",
		base_a_obj = "a_b",
		position = Vector3( 0, 29.1, 0 ),
		rotation = RotationCAP( 0, 0, 0 )
	})
self:SetupAttachmentPoint( "soppo", {    
        name = "a_charm",
        base_a_obj = "a_fg",
        position = Vector3( -1.7, -5, 0),   
        rotation = RotationCAP( 180, 0, 0)
    })

if BeardLib.Utils:FindMod("TTI Attachment Pack") then -- this is so the plate thingy is properly positioned on the magazine instead of hovering below it
self:SetupAttachmentPoint( "soppo",{
		name = "a_tti_pl8",
		base_a_obj = "a_m",
		part_attach_data = {
			{"wpn_fps_upg_m_tti"},
			"g_wpn_fps_upg_m4_m_pmag"
			},
		position = Vector3( 0, -2.12, 4.03 ),
		rotation = RotationCAP( 0, 0, 0 )
	})
	end
end)